
From: Junio C Hamano <junkio@cox.net>

Compiling neofb.c without MTRR results in two "unused variable" warnings.



---

 drivers/video/neofb.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN drivers/video/neofb.c~neofb-warning-fix drivers/video/neofb.c
--- 25/drivers/video/neofb.c~neofb-warning-fix	2004-02-01 13:50:47.000000000 -0800
+++ 25-akpm/drivers/video/neofb.c	2004-02-01 13:50:47.000000000 -0800
@@ -1649,8 +1649,6 @@ static void __devinit neo_unmap_mmio(str
 static int __devinit neo_map_video(struct fb_info *info,
 				   struct pci_dev *dev, int video_len)
 {
-	struct neofb_par *par = (struct neofb_par *) info->par;
-
 	DBG("neo_map_video");
 
 	info->fix.smem_start = pci_resource_start(dev, 0);
@@ -1674,7 +1672,7 @@ static int __devinit neo_map_video(struc
 		       info->screen_base);
 
 #ifdef CONFIG_MTRR
-	par->mtrr =
+	((struct neofb_par *)(info->par))->mtrr =
 	    mtrr_add(info->fix.smem_start, pci_resource_len(dev, 0),
 		     MTRR_TYPE_WRCOMB, 1);
 #endif
@@ -1686,12 +1684,12 @@ static int __devinit neo_map_video(struc
 
 static void __devinit neo_unmap_video(struct fb_info *info)
 {
-	struct neofb_par *par = (struct neofb_par *) info->par;
 
 	DBG("neo_unmap_video");
 
 	if (info->screen_base) {
 #ifdef CONFIG_MTRR
+		struct neofb_par *par = (struct neofb_par *) info->par;
 		mtrr_del(par->mtrr, info->fix.smem_start,
 			 info->fix.smem_len);
 #endif

_
